<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="UTF-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <link rel="stylesheet" href="css/styles.css">
  <script></script>
  <script src="js/libs/modernizr-2.6.2/modernizr.min.js"></script>
  <script src="js/libs/jquery-1.9.0/jquery.min.js"></script>
  <script type="text/javascript">
    $(document).ready(function() {
      $("#list").blur(function() {
        localStorage.setItem("listing", $("#list").html());
        // location.reload();
      });

      if (localStorage.getItem("listing")) {
        $("#message").html("<h3>Data saved in Local Storage:</h3>");
        $("#list").html(localStorage.getItem("listing"));
        $("#result").text(localStorage.getItem("listing"));
      } else {
        $("#message").text("There aren't data in Local Storage")
      }

      $("#clean").click(function() {
        localStorage.removeItem("listing");
        // localStorage.clear(); // This method clean all keys saved in Local Storage
        // location.reload();
      });

      window.addEventListener("storage", listenEvent, false);

      function listenEvent(e) {
        alert("Generating localStorage event" + e.storageArea.listing);
        // location.reload();
      }  
    });
  </script>
  <title>Local Storage Managment</title>
</head>
<body>
  <header>
    <h1>Local Storage Managment</h1>
  </header>

  <section>
    <div>
      <ul id="list" contenteditable="true">
        <li></li>
      </ul>
    </div>
    <input type="button" id="clean" value="Clean">
    <br/>
    <br/>
    <div id="message"></div>
    <div id="result"></div>
  </section>
</body>